Subject: Re: [PATCHv2 0/2] vhost: a kernel-level virtio server

From: Gregory Haskins <[email-masked]>
Date: Wed, 12 Aug 2009 08:41:31 -0400

Michael S. Tsirkin wrote:
> On Wed, Aug 12, 2009 at 07:56:05AM -0400, Gregory Haskins wrote:
>> Michael S. Tsirkin wrote:

<snip>

>>>
>>> 1. use a dedicated network interface with SRIOV, program mac to match
>>>    that of guest (for testing, you can set promisc mode, but that is
>>>    bad for performance)
>>
>> Are you saying SRIOV is a requirement, and I can either program the
>> SRIOV adapter with a mac or use promis?  Or are you saying I can use
>> SRIOV+programmed mac OR a regular nic + promisc (with a perf penalty).
> 
> SRIOV is not a requirement. And you can also use a dedicated
> nic+programmed mac if you are so inclined.

Makes sense.  Got it.

I was going to add guest-to-guest to the test matrix, but I assume that
is not supported with vhost unless you have something like a VEPA
enabled bridge?

<snip>

>>> 3. add vhost=ethX
>> You mean via "ip link" I assume?
> 
> No, that's a new flag for virtio in qemu:
> 
> -net nic,model=virtio,vhost=veth0

Ah, ok.  Even better.

Thanks!
-Greg